> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.debbiecollect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deposit distribution

> Get deposit distribution in a billing.

**Required scope:** `read:billings`



## OpenAPI

````yaml GET /v1/{tenantId}/billings/{billingId}/deposit-distribution
openapi: 3.1.0
info:
  title: Debbie API Docs
  description: >
    The Debbie API is a RESTful interface, allowing you to programmatically

    update, add and access your data in the platform. It provides predictable
    URLs

    for accessing resources, and uses built-in HTTP features to receive commands
    and

    return responses. This makes it easy to communicate with third party
    systems.


    ## Idempotency


    The Debbie API supports idempotency for non-idempotent requests through the
    optional `Idempotency-Key` header. 

    This ensures that retrying the same request multiple times will produce the
    same result, preventing duplicate operations.


    ### Using Idempotency Keys


    - Include an `Idempotency-Key` header with a unique string (we recommend
    UUIDs)  

    - Maximum key length is 64 characters

    - Keys are valid for 48 hours

    - Responses served from the idempotency cache include an
    `Idempotency-Cached` header


    ### Example

    ```http

    Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000

    ```


    ### Error Cases

    - Invalid key format: 400 Bad Request

    - Reusing a key for a different request: 400 Bad Request


    ### Best Practices

    - Use a new key for each unique business transaction

    - Use the same key when retrying a failed request 

    - Store keys with request details for debugging
  contact:
    email: api-support@debbie.dk
  version: v0.1.0
servers:
  - url: https://api.debbiecollect.com
security:
  - bearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for interacting with authorization
  - name: Cases
    description: Endpoints for interacting with cases
  - name: Customers
    description: Endpoints for interacting with customers
  - name: Creditors
    description: Endpoints for interacting with creditors
  - name: Contacts
    description: >-
      Endpoints for interacting with contacts. A contact is a third party the
      tenant communicates with or pays out to on behalf of a creditor — for
      example a locksmith hired during a collection case. Caseworkers pick
      contacts as email recipients on a case and as the recipient of a payout
      when creating a case voucher of a voucher type configured for it; only
      administrators manage them.
  - name: Ultimate creditors
    description: >-
      Endpoints for interacting with ultimate creditors. An ultimate creditor is
      the original creditor behind the creditor on a case — for example when a
      debt collection agency forwards cases on behalf of its own client. On
      cases with an ultimate creditor, the creditor template mentions (name,
      address and company identifier) use the details of the ultimate creditor.
  - name: Updates
    description: Endpoints for interacting with updates
  - name: Users
    description: Endpoints for interacting with updates
  - name: Files
    description: Endpoints for interacting with files
  - name: Case vouchers
    description: Endpoints for interacting with case vouchers
  - name: Voucher types
    description: The voucher types of the tenant, used to categorize case vouchers
  - name: Interactions
    description: >-
      Interactions are messages and notes on a case, for example an incoming
      message from a debtor.
  - name: Billing
    description: Endpoints for interacting with billing
  - name: Transaction accounts
    description: >-
      Endpoints for interacting with transaction accounts — the bank and payment
      service provider accounts that payments are registered on
  - name: Links
    description: Endpoints for generating links
  - name: Webhooks
    description: >-
      Debbie provides a range of webhooks. To try them out please visit Debbie
      Caseworker and navigate to Settings --> Developers --> Webhooks.
  - name: End reasons
    description: Endpoints for interacting with end reasons
  - name: Case groups
    description: Endpoints for interacting with case groups
  - name: Documents
    description: Endpoints for attaching documentation to a case or to a creditor
  - name: Case voucher allocations
    description: Apply creditor payments and credit notes to specific case vouchers.
externalDocs:
  description: Find out more about Debbie here
  url: https://debbiecollect.com
paths:
  /v1/{tenantId}/billings/{billingId}/deposit-distribution:
    get:
      tags:
        - Billing
      summary: Get deposit distribution in a billing.
      description: |-
        Get deposit distribution in a billing.

        **Required scope:** `read:billings`
      operationId: billing-deposit-distribution
      parameters:
        - in: path
          name: tenantId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the tenant
        - in: path
          name: billingId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the billing
        - in: query
          name: page
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
          description: Zero-based page number
        - in: query
          name: pageSize
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 25
          required: false
          description: Number of deposits per page
        - in: query
          name: includeDepositsWithSourceCreditor
          schema:
            type: boolean
          required: false
          description: >-
            Include deposits paid directly to the creditor. Without it, the
            collection commission charged on those payments is reported as a
            separate fee on the billing rather than as part of the deposit
            distribution.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 0
                      pageSize:
                        type: integer
                        example: 25
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/BillingDepositDistribution'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '409':
          $ref: '#/components/responses/ConflictError'
        '422':
          $ref: '#/components/responses/UnprocessableContent'
components:
  schemas:
    BillingDepositDistribution:
      type: object
      properties:
        isAdjustment:
          type:
            - boolean
            - 'null'
        currency:
          $ref: '#/components/schemas/Currency'
        depositCaseVoucher:
          type: object
          properties:
            caseVoucherId:
              type: string
            id:
              type: integer
            paymentType:
              $ref: '#/components/schemas/PaymentType'
            source:
              $ref: '#/components/schemas/CaseVoucherSource'
            state:
              $ref: '#/components/schemas/CaseVoucherState'
            transactionAccountId:
              type:
                - string
                - 'null'
            amount:
              type: number
          required:
            - caseVoucherId
            - id
            - amount
        customer:
          type: object
          properties:
            referenceId:
              type:
                - string
                - 'null'
          required:
            - referenceId
        case:
          type: object
          properties:
            caseId:
              type: string
            id:
              type: integer
            groupId:
              type:
                - string
                - 'null'
            groupLabel:
              type:
                - string
                - 'null'
          required:
            - caseId
            - id
        caseVouchers:
          type: array
          items:
            type: object
            properties:
              referenceId:
                type:
                  - string
                  - 'null'
              caseVoucherId:
                type: string
              voucherTypeId:
                type: string
              amount:
                type: number
              source:
                $ref: '#/components/schemas/CaseVoucherSource'
              collectionCommission:
                type: boolean
            required:
              - caseVoucherId
              - voucherTypeId
              - amount
              - source
        overpayment:
          type: number
      required:
        - currency
        - depositCaseVoucher
        - customer
        - case
        - caseVouchers
        - overpayment
    Currency:
      type: string
      enum:
        - DKK
        - SEK
        - NOK
        - USD
        - EUR
        - GBP
        - CHF
      description: Currency
      examples:
        - DKK
    PaymentType:
      type: string
      enum:
        - BANK_TRANSFER
        - MASTERCARD
        - VISA
        - DANKORT
        - IBAN
        - CREDITOR
        - PAYPAL
        - APPLE_PAY
        - GOOGLE_PAY
        - FIK
        - LEVERANDØRSERVICE
        - BETALINGSSERVICE
        - MOBILEPAY
        - SWISH
        - VIPPS
      description: Payment type of the deposit case voucher.
      examples:
        - BANK_TRANSFER
    CaseVoucherSource:
      type: string
      enum:
        - CREDITOR
        - COLLECTOR
      description: >-
        The source of the case voucher. "CREDITOR" if the case voucher is
        imposed by the creditor (typically from an ERP system). "COLLECTOR" if
        the case voucher is imposed by collector (debt collection agency). If it
        is a deposit it is a direct payment if set to "CREDITOR".
      examples:
        - CREDITOR
    CaseVoucherState:
      type: string
      enum:
        - UNMAPPED
        - UNKNOWN
        - ARCHIVED
        - OVERPAYMENT
        - FULL_PAYMENT
        - PARTIAL_PAYMENT
        - PAYMENT_PLAN_ENTRY_PAYMENT
        - UNKNOWN_PAYMENT_PLAN_PAYMENT
        - ACCORD_PAYMENT
        - PRINCIPAL_PAYMENT
        - PENDING
      description: State of the case voucher
      examples:
        - PARTIAL_PAYMENT
  responses:
    UnauthorizedError:
      description: Access token missing or invalid
    ConflictError:
      description: Conflict
    UnprocessableContent:
      description: Unable to process the contained instructions.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication can be done by using a bearer token in the Authorization
        header. This is done using the following format `Authorization: Bearer
        {token}`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.